[Xcb-commit] libxcb: 3 commits - autogen.sh
GitLab Mirror
gitlab-mirror at kemper.freedesktop.org
Sun Jul 24 21:30:29 UTC 2022
autogen.sh | 11 +++++++----
1 file changed, 7 insertions(+), 4 deletions(-)
New commits:
commit 9dcb08170898d3bd5ddb3bc26c514a6bfccf3fae
Author: Mihail Konev <k.mvc at ya.ru>
Date: Thu Jan 26 13:52:49 2017 +1000
autogen: add default patch prefix
Signed-off-by: Mihail Konev <k.mvc at ya.ru>
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index 0006de8..cb03947 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,6 +9,9 @@ cd "$srcdir"
autoreconf -v --install || exit 1
cd "$ORIGDIR" || exit $?
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH libxcb"
+
if test -z "$NOCONFIGURE"; then
exec "$srcdir"/configure "$@"
fi
commit 7d798d3ccbe537f2f102665447ec3e15a8cdb1a1
Author: Emil Velikov <emil.l.velikov at gmail.com>
Date: Mon Mar 9 12:00:52 2015 +0000
autogen.sh: use quoted string variables
Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
fall-outs, when they contain space.
Signed-off-by: Emil Velikov <emil.l.velikov at gmail.com>
Reviewed-by: Peter Hutterer <peter.hutterer at who-t.net>
Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index fd9c59a..0006de8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,14 +1,14 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
if test -z "$NOCONFIGURE"; then
- exec $srcdir/configure "$@"
+ exec "$srcdir"/configure "$@"
fi
commit 7071b4a13c1e4df13b138748feebadc17fe2522b
Author: Peter Hutterer <peter.hutterer at who-t.net>
Date: Tue Jan 24 10:32:07 2017 +1000
autogen.sh: use exec instead of waiting for configure to finish
Syncs the invocation of configure with the one from the server.
Signed-off-by: Peter Hutterer <peter.hutterer at who-t.net>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>
Signed-off-by: Alan Coopersmith <alan.coopersmith at oracle.com>
diff --git a/autogen.sh b/autogen.sh
index fc34bd5..fd9c59a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -10,5 +10,5 @@ autoreconf -v --install || exit 1
cd $ORIGDIR || exit $?
if test -z "$NOCONFIGURE"; then
- $srcdir/configure "$@"
+ exec $srcdir/configure "$@"
fi
More information about the xcb-commit
mailing list